Create a Portfolio Folder

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
POST /portfolio_folders

Create a portfolio folder.

application/json

Body Required

  • portfolio_folder object
    Hide portfolio_folder attributes Show portfolio_folder attributes object
    • name string Required

      Name of the portfolio folder

    • portfolio_company_profile_id string(uuid)

      ID of the associated portfolio company profile

Responses

  • 201 application/json

    Portfolio folder successfully created

    Hide response attribute Show response attribute object
    • portfolio_folder object
      Hide portfolio_folder attributes Show portfolio_folder attributes object
      • id string(uuid) Required

        Unique identifier for the portfolio folder

      • name string Required

        Name of the portfolio folder

      • portfolio_company_profile_id string(uuid) Required

        ID of the associated portfolio company profile

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 422 application/json

    Unprocessable Entity - The request is valid but contains semantic errors

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

POST /portfolio_folders
curl \
 --request POST 'https://api.visible.vc/portfolio_folders' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"portfolio_folder":{"name":"Board Materials","portfolio_company_profile_id":"cad09a10-73e8-4205-ae67-4e6156f37be8"}}'
Request example
{
  "portfolio_folder": {
    "name": "Board Materials",
    "portfolio_company_profile_id": "cad09a10-73e8-4205-ae67-4e6156f37be8"
  }
}
Response examples (201)
{
  "portfolio_folder": {
    "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
    "name": "Board Materials",
    "portfolio_company_profile_id": "cad09a10-73e8-4205-ae67-4e6156f37be8"
  }
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "type": "attribute_invalid",
      "field": "value",
      "message": "required"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}